[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Xfce and FC2 (installs, but not fully functional?)



Nicu Buculei wrote:
Gerry Tool wrote:

Nicu Buculei wrote:

how am i supposed to install Xfce in FC2? (without installing everything)

[snip]


I copied all the xfce*.rpm files from CD4 to a directory and did an rpm -Uvh *.rpm to install XFce. It installed fine and it now appears in the session menu.

However, when I run it, I get a message window that says:
"Your window manager does not seem to support the new window manager hints as defined on http:/www.freedesktop.org. Some XFce features may not work as intended."


this is because you have *not* copied all needed RPMs! you left out the window manager xfwm4.rpm...
exactly this was my complaint: how am i supposed to know that xfwm4 is the window manager for xfce?
is not a dependency, because xfce can work without it (if we can call this "work") and yum will not automatically install it as dependency.


also note xffm.rpm - the file manager, probably xfsprogs (don't know if is needed) and all libxfce*.rpm and xfdesktop.rpm

Thanks. That got me a long ways. However, when I try to install xffm and xffm-icons, I get the following dependency:

[root gstpc rpms]# rpm -Uvh xffm*.rpm
error: Failed dependencies:
        dbh >= 1.0 is needed by xffm-4.0.5-1
        libdbh-1.0.so.1 is needed by xffm-4.0.5-1

I haven't tried to find out what I need yet - any hint would be helpful.

The complete set of rpms I installed (or tried) is:

[root gstpc xfce]# ls
libxfce4mcs-4.0.5-2.i386.rpm             xfce-mcs-plugins-4.0.5-2.i386.rpm
libxfce4mcs-devel-4.0.5-2.i386.rpm       xfce-utils-4.0.5-1.i386.rpm
libxfce4util-4.0.5-1.i386.rpm            xfdesktop-4.0.5-2.i386.rpm
libxfce4util-devel-4.0.5-1.i386.rpm      xffm-4.0.5-1.i386.rpm
libxfcegui4-4.0.5-1.i386.rpm             xffm-icons-4.0.5-1.i386.rpm
libxfcegui4-devel-4.0.5-1.i386.rpm       xfsprogs-2.6.13-1.i386.rpm
xfce4-panel-4.0.5-2.i386.rpm             xfwm4-4.0.5-2.i386.rpm
xfce-mcs-manager-4.0.5-1.i386.rpm        xfwm4-themes-4.0.5-1.noarch.rpm
xfce-mcs-manager-devel-4.0.5-1.i386.rpm

I found the libxfce* rpms on CD3.

Gerry Tool



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]